Get all invoice line charge references
get
/fscmRestApi/resources/11.13.18.05/invoiceLineChargeReferences
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the charge references with the specified primary key.
Finder Variables- InvoiceChargeReferenceId; integer; Unique identifier for the charge references.
- filterByInvoiceIdAndInvoiceLineNumber Finds the charge references for the specified invoice line.
Finder Variables- pInvoiceId; integer; Value that identifies the invoice line.
- pInvoiceLineNumber; integer; Identifier for line number of invoice line.
- PrimaryKey Finds the charge references with the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ChargeReferenceTypeDescription; string; Description of the reference type associated with the charge line.
- ChargeReferenceTypeId; integer; Value that uniquely identifies the reference type associated with the charge line.
- ChargeReferenceValueDataType; string; Reference data type associated with the charge line.
- InvoiceChargeReferenceId; integer; Unique identifier for the charge references.
- InvoiceId; integer; Identifier for the invoice line.
- InvoiceLineNumber; integer; Line number of the invoice line.
- Name; string; Name of the charge reference type.
- PredefinedFlag; boolean; Contains one of the following values: true or false. If true, then the reference type is predefined in the default charge references setup. If false, then the reference type isn't predefined. The default value is false.
- ProcurementBUId; integer; Value that uniquely identifies the procurement business unit.
- ReferenceTypeCode; string; Code that identifies the charge reference type.
- ReferenceTypeNumber; number; Number type reference value associated with the invoice line.
- ReferenceTypeTimestamp; string; Date type reference value associated with the invoice line.
- ReferenceTypeVarchar; string; String type reference value associated with the invoice line.
- SetId; integer; Value that uniquely identifies the set that charge reference belongs to.
- UserComment; string; Comments added by the user.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : invoiceLineChargeReferences
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : invoiceLineChargeReferences-item-response
Type:
Show Source
object-
ChargeReferenceTypeDescription: string
Read Only:
trueMaximum Length:240Description of the reference type associated with the charge line. -
ChargeReferenceTypeId: integer
(int64)
Value that uniquely identifies the reference type associated with the charge line.
-
ChargeReferenceValueDataType: string
Read Only:
trueMaximum Length:30Reference data type associated with the charge line. -
InvoiceChargeReferenceId: integer
(int64)
Unique identifier for the charge references.
-
InvoiceId: integer
(int64)
Identifier for the invoice line.
-
InvoiceLineNumber: integer
(int64)
Line number of the invoice line.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Name: string
Maximum Length:
100Name of the charge reference type. -
PredefinedFlag: boolean
Maximum Length:
6Default Value:falseContains one of the following values: true or false. If true, then the reference type is predefined in the default charge references setup. If false, then the reference type isn't predefined. The default value is false. -
ProcurementBUId: integer
(int64)
Value that uniquely identifies the procurement business unit.
-
ReferenceTypeCode: string
Read Only:
trueMaximum Length:30Code that identifies the charge reference type. -
ReferenceTypeNumber: number
Number type reference value associated with the invoice line.
-
ReferenceTypeTimestamp: string
(date-time)
Date type reference value associated with the invoice line.
-
ReferenceTypeVarchar: string
Maximum Length:
64String type reference value associated with the invoice line. -
SetId: integer
(int64)
Read Only:
trueValue that uniquely identifies the set that charge reference belongs to. -
SupplierId: integer
Value that uniquely identifies the supplier rendering the service.
-
SupplierSiteId: integer
Value that uniquely identifies the supplier site rendering the service.
-
UserComment: string
Maximum Length:
240Comments added by the user.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Links
- getChargeReferenceEstimatesForInvoiceLine
-
Gets both the trade operation charge line details that can be associated with the invoice line and the association details for each of the trade operation charge lines.